import dotenv from 'dotenv';
import express from 'express';
import cors from 'cors';
import bodyParser from 'body-parser';
import expressSession from 'express-session';
import rftMiddleware from './middlewares/rftMiddleware.mjs';
import webRoutes from './routes/web.mjs';
import exceptionMiddleware from './middlewares/exceptionMiddleware.mjs';

dotenv.config();
const app = express();
app.set('views', './views');
app.set('view engine', 'ejs');
app.use(cors({ origin: 'self', methods: 'GET, HEAD, PUT, PATCH, POST, DELETE', credentials: true }));
app.use([bodyParser.json(), bodyParser.urlencoded({ extended: true })]);
app.use(expressSession({ secret: 'ruguokeyi', resave: false, saveUninitialized: true, rolling: true, cookie: { maxAge: 3600000 } }));
app.use(rftMiddleware.hander);
app.use(express.static('public'));
app.use('/', webRoutes(express));
app.use([exceptionMiddleware.notFoundHandler, exceptionMiddleware.errorHandler]);
app.listen(80, function () { console.log(`Server is running | ${new Date()}`); });